<?php

use App\Domains\Dashboard\Controllers\DashboardController;
use App\Domains\Dashboard\Controllers\StorePersonalDataController;
use App\Middleware\IdentifyTenant;
use Illuminate\Support\Facades\Route;

Route::middleware(IdentifyTenant::class)->group(function () {
    Route::middleware(['auth'])->group(function () {
        Route::prefix('api/v1/dashboard')->group(function () {
            Route::get('/my-invoices', [DashboardController::class, 'getMyInvoices']);
            Route::get('/open-cost-units', [DashboardController::class, 'getOpenCostUnits']);
            Route::get('/upcoming-events', [DashboardController::class, 'getUpcomingEvents']);
            Route::get('/my-participations', [DashboardController::class, 'getMyParticipations']);
            Route::post('/personal-data', StorePersonalDataController::class);
        });



    });
});
